#
# spec file for package lxqt-panel
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-panel
Version:        0.10.0
Release:        0
Summary:        Desktop Panel for LXQt
License:        GPL-2.0+
Group:          System/GUI/LXQt
Url:            http://www.lxde.org
Source0:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM no-undefined.patch -- include sources which export used functions
Patch0:         no-undefined.patch
# PATCH-FIX-UPSTREAM xkbcommon-includes.patch -- explicitly add include path for
# xkbcommon headers, otherwise they are picked up accidentally
Patch1:         xkbcommon-includes.patch
BuildRequires:  cmake >= 3.0.2
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  kguiaddons-devel
BuildRequires:  kwindowsystem-devel >= 5.5.0
BuildRequires:  libsensors4-devel
BuildRequires:  solid-devel >= 5.5.0
BuildRequires:  xcb-util-devel
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xdg) >= 1.3.0
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbusmenu-qt5)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libstatgrab)
BuildRequires:  pkgconfig(lxqt) >= %{version}
BuildRequires:  pkgconfig(lxqt-globalkeys) >= %{version}
BuildRequires:  pkgconfig(sysstat-qt5)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  libxkbcommon-x11-devel
#Requires:       lxmenu-data
Requires:       menu-cache
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Brand new desktop Panel for LXQt

%package devel
Summary:        Devel files for lxqt-panel
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
LXQt panel development files and headers

%lang_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake

make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}/%{_datadir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/
%dir %{_sysconfdir}/xdg/lxqt
%config %{_sysconfdir}/xdg/lxqt/panel.conf
%{_libdir}/%{name}
%{_datadir}/lxqt/lxqt-panel

%files devel
%defattr(-,root,root)
%{_includedir}/lxqt

%files lang
%defattr(-,root,root)
%{_datadir}/lxqt/translations

%changelog
